/* eslint-disable */
//统一分页
export const paginationConfig = {
  pageNo: 1,
  pageSize:10
}

//公用图片上传
export const uploadImgUrl = '/htdata/file/uploadDocument'

//区域数据文件上传
export const uploadFileAreaUrl = '/htdata/areaData/importXls'


//验证规则
export const globalReg = {
  // 最多两位小数 大于0
  regNumberToFixed2: /^(([1-9][0-9]*)|(([0]\.\d{1,2}|[1-9][0-9]*\.\d{1,2})))$/,
  // 整数 - 包括0
  regNumberIncludeZero: /^(0)|([1-9][0-9]*)$/,
  // 整数 - 非0
  regNumber: /^([1-9][0-9]*)$/,
  // 手机号
  regPhone: /^1[\d]{10}$/,
  // 座机
  regTel: /^0\d{2,3}-\d{7,8}$/,
  // 身份证
  regIdCard: /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/,
  // 验证中文 2到6位
  regChinese: /^[\u4e00-\u9fa5]{2,6}$/,
  // 银行卡 15或19位
  regBankCard: /^([1-9]{1})(\d{14}|\d{18})$/,
  // 字母
  regLetter: /^[a-zA-Z]$/,
  // 邮箱
  regEmail: /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/,
  // 增值税率
  regVat: /^(([1-9][0-9]{0,2})|(([0]\.\d{1,2}|[1-9][0-9]{0,2}\.\d{1,2})))$/
}
